/[gentoo-x86]/eclass/vdr-plugin.eclass
Gentoo

Diff of /eclass/vdr-plugin.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.5 Revision 1.55
1# Copyright 1999-2005 Gentoo Foundation 1# Copyright 1999-2005 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/Attic/vdr-plugin.eclass,v 1.5 2005/10/09 20:13:07 zzam Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/Attic/vdr-plugin.eclass,v 1.55 2008/04/13 16:26:05 zzam Exp $
4# 4#
5# Author: 5# Author:
6# Matthias Schwarzott <zzam@gentoo.org> 6# Matthias Schwarzott <zzam@gentoo.org>
7# Joerg Bornkessel <hd_brummy@gentoo.org>
7 8
8# vdr-plugin.eclass 9# vdr-plugin.eclass
9# 10#
10# eclass to create ebuilds for vdr plugins 11# eclass to create ebuilds for vdr plugins
11# 12#
22# KEYWORDS="~x86" 23# KEYWORDS="~x86"
23# DEPEND=">=media-video/vdr-1.3.27" 24# DEPEND=">=media-video/vdr-1.3.27"
24# 25#
25# 26#
26 27
27# There are some special files in ${FILESDIR} which get installed when 28# Installation of a config file for the plugin
28# they exist: 29#
30# If ${VDR_CONFD_FILE} is set install this file
31# else install ${FILESDIR}/confd if it exists.
29 32
30# ${FILESDIR}/confd-${PV} or ${FILESDIR}/confd:
31# The first matching is installed under /etc/conf.d/vdr.${VDRPLUGIN} 33# Gets installed as /etc/conf.d/vdr.${VDRPLUGIN}.
32# (in example vdr-femon this would be /etc/conf.d/vdr.femon) 34# For the plugin vdr-femon this would be /etc/conf.d/vdr.femon
33#
34# Everything put in variable _EXTRAOPTS is appended to the command line of
35# the plugin.
36 35
37 36
38# ${FILESDIR}/rc-addon-${PV}.sh or ${FILESDIR}/rc-addon.sh: 37# Installation of an rc-addon file for the plugin
39# The first matching is installed under /usr/lib/vdr/rcscript/plugin-${VDRPLUGIN}.sh 38#
39# If ${VDR_RCADDON_FILE} is set install this file
40# else install ${FILESDIR}/rc-addon.sh if it exists.
41#
42# Gets installed under ${VDR_RC_DIR}/plugin-${VDRPLUGIN}.sh
40# (in example vdr-femon this would be /usr/lib/vdr/rcscript/plugin-femon.sh) 43# (in example vdr-femon this would be /usr/share/vdr/rcscript/plugin-femon.sh)
41# 44#
42# This file is sourced by the startscript when plugin is activated in /etc/conf.d/vdr 45# This file is sourced by the startscript when plugin is activated in /etc/conf.d/vdr
43# It could be used for special startup actions for this plugins, or to create the 46# It could be used for special startup actions for this plugins, or to create the
44# plugin command line options from a nicer version of a conf.d file. 47# plugin command line options from a nicer version of a conf.d file.
45 48
49# HowTo use own local patches; Example
50#
51# Add to your /etc/make.conf:
52# VDR_LOCAL_PATCHES_DIR="/usr/local/patch"
53#
54# Add two DIR's in your local patch dir, ${PN}/${PV},
55# e.g for vdr-burn-0.1.0 should be:
56# /usr/local/patch/vdr-burn/0.1.0/
57#
58# all patches which ending on diff or patch in this DIR will automatically applied
59#
60
46inherit eutils flag-o-matic 61inherit base multilib eutils flag-o-matic
62
63IUSE=""
47 64
48# Name of the plugin stripped from all vdrplugin-, vdr- and -cvs pre- and postfixes 65# Name of the plugin stripped from all vdrplugin-, vdr- and -cvs pre- and postfixes
49VDRPLUGIN="${PN/#vdrplugin-/}" 66VDRPLUGIN="${PN/#vdrplugin-/}"
50VDRPLUGIN="${VDRPLUGIN/#vdr-/}" 67VDRPLUGIN="${VDRPLUGIN/#vdr-/}"
51VDRPLUGIN="${VDRPLUGIN/%-cvs/}" 68VDRPLUGIN="${VDRPLUGIN/%-cvs/}"
54 71
55# works in most cases 72# works in most cases
56S="${WORKDIR}/${VDRPLUGIN}-${PV}" 73S="${WORKDIR}/${VDRPLUGIN}-${PV}"
57 74
58# depend on headers for DVB-driver 75# depend on headers for DVB-driver
59RDEPEND="" 76DEPEND=">=media-tv/gentoo-vdr-scripts-0.3.8
60DEPEND="|| ( 77 || ( >=media-tv/gentoo-vdr-scripts-0.4.2 >=media-tv/vdrplugin-rebuild-0.2 )
61 >=sys-kernel/linux-headers-2.6.11-r2 78 >=app-admin/eselect-vdr-0.0.2
62 media-tv/linuxtv-dvb 79 media-tv/linuxtv-dvb-headers"
63 )"
64 80
65# Where should the plugins live in the filesystem
66VDR_PLUGIN_DIR="/usr/lib/vdr/plugins"
67 81
68VDR_RC_DIR="/usr/lib/vdr/rcscript" 82# New method of storing plugindb
69 83# Called from src_install
70# Pathes to includes 84# file maintained by normal portage-methods
71VDR_INCLUDE_DIR="/usr/include" 85create_plugindb_file() {
72DVB_INCLUDE_DIR="/usr/include"
73
74
75# this code is from linux-mod.eclass
76update_vdrplugindb() {
77 local VDRPLUGINDB_DIR=${ROOT}/var/lib/vdrplugin-rebuild/ 86 local NEW_VDRPLUGINDB_DIR=/usr/share/vdr/vdrplugin-rebuild/
87 local DB_FILE="${NEW_VDRPLUGINDB_DIR}/${CATEGORY}-${PF}"
88 insinto "${NEW_VDRPLUGINDB_DIR}"
78 89
79 if [[ ! -f ${VDRPLUGINDB_DIR}/vdrplugindb ]]; then 90# BUG: portage-2.1.4_rc9 will delete the EBUILD= line, so we cannot use this code.
80 [[ ! -d ${VDRPLUGINDB_DIR} ]] && mkdir -p ${VDRPLUGINDB_DIR} 91# cat <<-EOT > "${D}/${DB_FILE}"
81 touch ${VDRPLUGINDB_DIR}/vdrplugindb 92# VDRPLUGIN_DB=1
93# CREATOR=ECLASS
94# EBUILD=${CATEGORY}/${PN}
95# EBUILD_V=${PVR}
96# EOT
97 {
98 echo "VDRPLUGIN_DB=1"
99 echo "CREATOR=ECLASS"
100 echo "EBUILD=${CATEGORY}/${PN}"
101 echo "EBUILD_V=${PVR}"
102 } > "${D}/${DB_FILE}"
103}
104
105# Delete files created outside of vdr-plugin.eclass
106# vdrplugin-rebuild.ebuild converted plugindb and files are
107# not deleted by portage itself - should only be needed as
108# long as not every system has switched over to
109# vdrplugin-rebuild-0.2 / gentoo-vdr-scripts-0.4.2
110delete_orphan_plugindb_file() {
111 #elog Testing for orphaned plugindb file
112 local NEW_VDRPLUGINDB_DIR=/usr/share/vdr/vdrplugin-rebuild/
113 local DB_FILE="${ROOT}/${NEW_VDRPLUGINDB_DIR}/${CATEGORY}-${PF}"
114
115 # file exists
116 [[ -f ${DB_FILE} ]] || return
117
118 # will portage handle the file itself
119 if grep -q CREATOR=ECLASS "${DB_FILE}"; then
120 #elog file owned by eclass - don't touch it
121 return
122 fi
123
124 elog "Removing orphaned plugindb-file."
125 elog "\t#rm ${DB_FILE}"
126 rm "${DB_FILE}"
127}
128
129
130create_header_checksum_file()
131{
132 # Danger: Not using $ROOT here, as compile will also not use it !!!
133 # If vdr in $ROOT and / differ, plugins will not run anyway
134
135 insinto "${VDR_CHECKSUM_DIR}"
136 if [[ -f ${VDR_CHECKSUM_DIR}/header-md5-vdr ]]; then
137 newins "${VDR_CHECKSUM_DIR}/header-md5-vdr header-md5-${PN}"
138 else
139 if type -p md5sum >/dev/null 2>&1; then
140 cd "${S}"
141 (
142 cd "${VDR_INCLUDE_DIR}"
143 md5sum *.h libsi/*.h|LC_ALL=C sort --key=2
144 ) > header-md5-${PN}
145 doins header-md5-${PN}
82 fi 146 fi
83 if [[ -z $(grep ${CATEGORY}/${PN}-${PVR} ${VDRPLUGINDB_DIR}/vdrplugindb) ]]; then 147 fi
84 einfo "Adding plugin to vdrplugindb." 148}
85 echo "a:1:${CATEGORY}/${PN}-${PVR}" >> ${VDRPLUGINDB_DIR}/vdrplugindb 149
150fix_vdr_libsi_include()
151{
152 einfo "Fixing include of libsi-headers"
153 local f
154 for f; do
155 sed -i "${f}" \
156 -e '/#include/s:"\(.*libsi.*\)":<\1>:' \
157 -e '/#include/s:<.*\(libsi/.*\)>:<vdr/\1>:'
158 done
159}
160
161vdr_patchmakefile() {
162 einfo "Patching Makefile"
163 [[ -e Makefile ]] || die "Makefile of plugin can not be found!"
164 cp Makefile "${WORKDIR}"/Makefile.before
165
166 ebegin " Setting Pathes"
167 sed -i Makefile \
168 -e "s:^VDRDIR.*$:VDRDIR = ${VDR_INCLUDE_DIR}:" \
169 -e "s:^LIBDIR.*$:LIBDIR = ${S}:" \
170 -e "s:^TMPDIR.*$:TMPDIR = ${T}:" \
171 -e 's:-I$(VDRDIR)/include:-I'"${VDR_INCLUDE_DIR%vdr}"':' \
172 -e "/^DVBDIR/d" \
173 -e 's:-I$(DVBDIR)/include::'
174 eend $?
175
176 # maybe needed for multiproto:
177 #sed -i Makefile \
178 # -e "s:^DVBDIR.*$:DVBDIR = ${DVB_INCLUDE_DIR}:" \
179 # -e 's:-I$(VDRDIR)/include -I$(DVBDIR)/include:-I$(DVBDIR)/include -I$(VDRDIR)/include:' \
180 # -e 's:-I$(DVBDIR)/include:-I$(DVBDIR):'
181
182 if ! grep -q APIVERSION Makefile; then
183 ebegin " Converting to APIVERSION"
184 sed -i Makefile \
185 -e 's:^APIVERSION = :APIVERSION ?= :' \
186 -e 's:$(LIBDIR)/$@.$(VDRVERSION):$(LIBDIR)/$@.$(APIVERSION):' \
187 -e '/VDRVERSION =/a\APIVERSION = $(shell sed -ne '"'"'/define APIVERSION/s/^.*"\\(.*\\)".*$$/\\1/p'"'"' $(VDRDIR)/config.h)'
188 eend $?
189 fi
190
191 # Correcting Compile-Flags
192 # Do not overwrite CXXFLAGS, add LDFLAGS if missing
193 sed -i Makefile \
194 -e '/^CXXFLAGS[[:space:]]*=/s/=/?=/' \
195 -e '/LDFLAGS/!s:-shared:$(LDFLAGS) -shared:'
196
197 # Disabling file stripping, useful for debugging
198 sed -i Makefile \
199 -e '/@.*strip/d' \
200 -e '/strip \$(LIBDIR)\/\$@/d' \
201 -e '/@.*\$(STRIP)/d'
202
203 # Use a file instead of a variable as single-stepping via ebuild
204 # destroys environment.
205 touch "${WORKDIR}"/.vdr-plugin_makefile_patched
206}
207
208vdr_add_local_patch() {
209 if test -d "${VDR_LOCAL_PATCHES_DIR}/${PN}"; then
210 echo
211 einfo "Applying local patches"
212 for LOCALPATCH in "${VDR_LOCAL_PATCHES_DIR}/${PN}/${PV}"/*.{diff,patch}; do
213 test -f "${LOCALPATCH}" && epatch "${LOCALPATCH}"
214 done
215 fi
216}
217
218vdr_i18n() {
219 if [[ ${USE_GETTEXT} = 0 ]]; then
220 # Remove i18n Target if using older vdr
221 sed -i Makefile \
222 -e '/^all:/s/ i18n//'
223 elif [[ ${USE_GETTEXT} = 1 && ! -d po && ${NO_GETTEXT_HACK} != 1 ]]; then
224 einfo "Plugin is not yet changed for new translation system."
225 einfo "Auto converting translations to gettext"
226
227 local i18n_tool="${ROOT}/usr/share/vdr/bin/i18n-to-gettext.pl"
228 if [[ ! -x ${i18n_tool} ]]; then
229 eerror "Missing ${i18n_tool}"
230 eerror "Please re-emerge vdr"
231 die "Missing ${i18n_tool}"
86 fi 232 fi
87}
88 233
89remove_vdrplugindb() { 234 # call i18n-to-gettext tool
90 local VDRPLUGINDB_DIR=${ROOT}/var/lib/vdrplugin-rebuild/ 235 # take all texts missing tr call into special file
236 "${i18n_tool}" 2>/dev/null \
237 |sed -e '/^"/!d' \
238 -e '/^""$/d' \
239 -e 's/\(.*\)/trNOOP(\1)/' \
240 > dummy-translations-trNOOP.c
91 241
92 if [[ -n $(grep ${CATEGORY}/${PN}-${PVR} ${VDRPLUGINDB_DIR}/vdrplugindb) ]]; then 242 # if there were untranslated texts just run it again
93 einfo "Removing ${CATEGORY}/${PN}-${PVR} from vdrplugindb." 243 # now the missing calls are listed in
94 sed -ie "/.*${CATEGORY}\/${P}.*/d" ${VDRPLUGINDB_DIR}/vdrplugindb 244 # dummy-translations-trNOOP.c
245 if [[ -s dummy-translations-trNOOP.c ]]; then
246 "${i18n_tool}" &>/dev/null
95 fi 247 fi
248
249 # now use the modified Makefile
250 if [[ -f Makefile.new ]]; then
251 mv Makefile.new Makefile
252 else
253 ewarn "Conversion to gettext failed. Plugin needs fixing."
254 fi
255 fi
96} 256}
257
258vdr-plugin_copy_source_tree() {
259 pushd . >/dev/null
260 cp -r "${S}" "${T}"/source-tree
261 cd "${T}"/source-tree
262 cp "${WORKDIR}"/Makefile.before Makefile
263 sed -i Makefile \
264 -e "s:^DVBDIR.*$:DVBDIR = ${DVB_INCLUDE_DIR}:" \
265 -e 's:^CXXFLAGS:#CXXFLAGS:' \
266 -e 's:-I$(DVBDIR)/include:-I$(DVBDIR):' \
267 -e 's:-I$(VDRDIR) -I$(DVBDIR):-I$(DVBDIR) -I$(VDRDIR):'
268 popd >/dev/null
269}
270
271vdr-plugin_install_source_tree() {
272 einfo "Installing sources"
273 destdir="${VDRSOURCE_DIR}/vdr-${VDRVERSION}/PLUGINS/src/${VDRPLUGIN}"
274 insinto "${destdir}-${PV}"
275 doins -r "${T}"/source-tree/*
276
277 dosym "${VDRPLUGIN}-${PV}" "${destdir}"
278}
279
280vdr-plugin_print_enable_command() {
281 elog
282 elog "To activate this vdr-plugin execute the following command:"
283 elog "\teselect vdr-plugin enable ${PN#vdr-}"
284 elog
285}
286
287
288## exported functions
97 289
98vdr-plugin_pkg_setup() { 290vdr-plugin_pkg_setup() {
99 # -fPIC is needed for shared objects on some platforms (amd64 and others) 291 # -fPIC is needed for shared objects on some platforms (amd64 and others)
100 append-flags -fPIC 292 append-flags -fPIC
101 293
102 VDRVERSION=$(awk -F'"' '/VDRVERSION/ {print $2}' /usr/include/vdr/config.h) 294 # Where should the plugins live in the filesystem
103 einfo "Building ${PF} against vdr-${VDRVERSION}" 295 VDR_PLUGIN_DIR="/usr/$(get_libdir)/vdr/plugins"
296 VDR_CHECKSUM_DIR="${VDR_PLUGIN_DIR%/plugins}/checksums"
297
298 # was /usr/lib/... some time ago
299 # since gentoo-vdr-scripts-0.3.6 it works with /usr/share/...
300 VDR_RC_DIR="/usr/share/vdr/rcscript"
301
302 # Pathes to includes
303 VDR_INCLUDE_DIR="/usr/include/vdr"
304 DVB_INCLUDE_DIR="/usr/include"
305
306
307 TMP_LOCALE_DIR="${WORKDIR}/tmp-locale"
308 LOCDIR="/usr/share/vdr/locale"
309 if has_version ">=media-video/vdr-1.5.7"; then
310 USE_GETTEXT=1
311 else
312 USE_GETTEXT=0
313 fi
314
315 VDRVERSION=$(awk -F'"' '/define VDRVERSION/ {print $2}' "${VDR_INCLUDE_DIR}"/config.h)
316 APIVERSION=$(awk -F'"' '/define APIVERSION/ {print $2}' "${VDR_INCLUDE_DIR}"/config.h)
317 [[ -z ${APIVERSION} ]] && APIVERSION="${VDRVERSION}"
318
319 einfo "Compiling against"
320 einfo "\tvdr-${VDRVERSION} [API version ${APIVERSION}]"
104} 321}
105 322
106vdr-plugin_src_unpack() { 323vdr-plugin_src_unpack() {
324 if [[ -z ${VDR_INCLUDE_DIR} ]]; then
325 eerror "Wrong use of vdr-plugin.eclass."
326 eerror "An ebuild for a vdr-plugin will not work without calling vdr-plugin_pkg_setup."
327 echo
328 eerror "Please report this at bugs.gentoo.org."
329 die "vdr-plugin_pkg_setup not called!"
330 fi
107 [ -z "$1" ] && vdr-plugin_src_unpack unpack patchmakefile 331 [ -z "$1" ] && vdr-plugin_src_unpack unpack add_local_patch patchmakefile i18n
108 332
109 while [ "$1" ]; do 333 while [ "$1" ]; do
110 334
111 case "$1" in 335 case "$1" in
336 all_but_unpack)
337 vdr-plugin_src_unpack add_local_patch patchmakefile i18n
338 ;;
112 unpack) 339 unpack)
113 unpack ${A} 340 base_src_unpack
341 ;;
342 add_local_patch)
343 cd "${S}" || die "Could not change to plugin-source-directory!"
344 vdr_add_local_patch
114 ;; 345 ;;
115 patchmakefile) 346 patchmakefile)
116 cd ${S} 347 cd "${S}" || die "Could not change to plugin-source-directory!"
117 348 vdr_patchmakefile
118 ebegin "Patching Makefile" 349 ;;
119 sed -i Makefile \ 350 i18n)
120 -e "s:^VDRDIR.*$:VDRDIR = ${VDR_INCLUDE_DIR}:" \ 351 cd "${S}" || die "Could not change to plugin-source-directory!"
121 -e "s:^DVBDIR.*$:DVBDIR = ${DVB_INCLUDE_DIR}:" \ 352 vdr_i18n
122 -e "s:^LIBDIR.*$:LIBDIR = ${S}:" \
123 -e "s:^TMPDIR.*$:TMPDIR = ${T}:" \
124 -e 's:^CXXFLAGS:#CXXFLAGS:' \
125 -e 's:-I$(VDRDIR)/include:-I$(VDRDIR):' \
126 -e 's:-I$(DVBDIR)/include:-I$(DVBDIR):' \
127 -e 's:-I$(VDRDIR) -I$(DVBDIR):-I$(DVBDIR) -I$(VDRDIR):' \
128 -e 's:$(VDRDIR)/\(config.h\|Make.config\):$(VDRDIR)/vdr/\1:'
129 eend $?
130 ;; 353 ;;
131 esac 354 esac
132 355
133 shift 356 shift
134 done 357 done
135} 358}
136 359
137vdr-plugin_src_compile() { 360vdr-plugin_src_compile() {
361 [ -z "$1" ] && vdr-plugin_src_compile prepare compile
362
363 while [ "$1" ]; do
364
365 case "$1" in
366 prepare)
367 [[ -n "${VDRSOURCE_DIR}" ]] && vdr-plugin_copy_source_tree
368 ;;
369 compile)
370 if [[ ! -f ${WORKDIR}/.vdr-plugin_makefile_patched ]]; then
371 eerror "Wrong use of vdr-plugin.eclass."
372 eerror "An ebuild for a vdr-plugin will not work without"
373 eerror "calling vdr-plugin_src_unpack to patch the Makefile."
374 echo
375 eerror "Please report this at bugs.gentoo.org."
376 die "vdr-plugin_src_unpack not called!"
377 fi
138 cd ${S} 378 cd "${S}"
139 379
140 emake ${VDRPLUGIN_MAKE_TARGET:-all} || die "emake failed" 380 emake ${BUILD_PARAMS} \
381 ${VDRPLUGIN_MAKE_TARGET:-all} \
382 LOCALEDIR="${TMP_LOCALE_DIR}" \
383 || die "emake failed"
384 ;;
385 esac
386
387 shift
388 done
141} 389}
142 390
143vdr-plugin_src_install() { 391vdr-plugin_src_install() {
392 [[ -n "${VDRSOURCE_DIR}" ]] && vdr-plugin_install_source_tree
393 cd "${WORKDIR}"
394
395 if [[ -n ${VDR_MAINTAINER_MODE} ]]; then
396 local mname="${P}-Makefile"
397 cp "${S}"/Makefile "${mname}.patched"
398 cp Makefile.before "${mname}.before"
399
400 diff -u "${mname}.before" "${mname}.patched" > "${mname}.diff"
401
402 insinto "/usr/share/vdr/maintainer-data/makefile-changes"
403 doins "${mname}.diff"
404
405 insinto "/usr/share/vdr/maintainer-data/makefile-before"
406 doins "${mname}.before"
407
408 insinto "/usr/share/vdr/maintainer-data/makefile-patched"
409 doins "${mname}.patched"
410
411 fi
412
144 cd ${S} 413 cd "${S}"
145
146 insinto "${VDR_PLUGIN_DIR}" 414 insinto "${VDR_PLUGIN_DIR}"
147 doins libvdr-*.so.* 415 doins libvdr-*.so.*
148 dodoc README* HISTORY CHANGELOG
149 416
150 for f in ${FILESDIR}/confd-${PV} ${FILESDIR}/confd; do 417 if [[ ${USE_GETTEXT} = 1 && -d ${TMP_LOCALE_DIR} ]]; then
151 if [[ -f "${f}" ]]; then 418 einfo "Installing locales"
152 insinto /etc/conf.d 419 cd "${TMP_LOCALE_DIR}"
153 newins "${f}" vdr.${VDRPLUGIN} 420 insinto "${LOCDIR}"
154 break 421 doins -r *
155 fi 422 fi
423
424 cd "${S}"
425 local docfile
426 for docfile in README* HISTORY CHANGELOG; do
427 [[ -f ${docfile} ]] && dodoc ${docfile}
156 done 428 done
157 429
158 for f in ${FILESDIR}/rc-addon-${PV}.sh ${FILESDIR}/rc-addon.sh; do 430 # if VDR_CONFD_FILE is empty and ${FILESDIR}/confd exists take it
159 if [[ -f "${f}" ]]; then 431 [[ -z ${VDR_CONFD_FILE} ]] && [[ -e ${FILESDIR}/confd ]] && VDR_CONFD_FILE=${FILESDIR}/confd
432
433 if [[ -n ${VDR_CONFD_FILE} ]]; then
434 newconfd "${VDR_CONFD_FILE}" vdr.${VDRPLUGIN}
435 fi
436
437
438 # if VDR_RCADDON_FILE is empty and ${FILESDIR}/rc-addon.sh exists take it
439 [[ -z ${VDR_RCADDON_FILE} ]] && [[ -e ${FILESDIR}/rc-addon.sh ]] && VDR_RCADDON_FILE=${FILESDIR}/rc-addon.sh
440
441 if [[ -n ${VDR_RCADDON_FILE} ]]; then
160 insinto "${VDR_RC_DIR}" 442 insinto "${VDR_RC_DIR}"
161 newins "${f}" plugin-${VDRPLUGIN}.sh 443 newins "${VDR_RCADDON_FILE}" plugin-${VDRPLUGIN}.sh
162 break
163 fi 444 fi
164 done 445
446 create_header_checksum_file
447 create_plugindb_file
165} 448}
166 449
167vdr-plugin_pkg_postinst() { 450vdr-plugin_pkg_postinst() {
168 update_vdrplugindb 451 vdr-plugin_print_enable_command
169 einfo 452
170 einfo "The vdr plugin ${VDRPLUGIN} has now been installed," 453 if [[ -n "${VDR_CONFD_FILE}" ]]; then
171 einfo "to activate it you have to add it to /etc/conf.d/vdr." 454 elog "Please have a look at the config-file"
172 einfo 455 elog "\t/etc/conf.d/vdr.${VDRPLUGIN}"
456 elog
457 fi
173} 458}
174 459
175vdr-plugin_pkg_postrm() { 460vdr-plugin_pkg_postrm() {
176 remove_vdrplugindb 461 delete_orphan_plugindb_file
177} 462}
178 463
464vdr-plugin_pkg_config() {
465 ewarn "emerge --config ${PN} is no longer supported"
466 vdr-plugin_print_enable_command
467}
468
179EXPORT_FUNCTIONS pkg_setup src_unpack src_compile src_install pkg_postinst pkg_postrm 469EXPORT_FUNCTIONS pkg_setup src_unpack src_compile src_install pkg_postinst pkg_postrm pkg_config

Legend:
Removed from v.1.5  
changed lines
  Added in v.1.55

  ViewVC Help
Powered by ViewVC 1.1.20